version: '3'

services:
  app:
    ports:
      - "8000:8000"
    build:
      context: .
      dockerfile: Dockerfile
    depends_on:
      - db
    env_file: .env
    restart: always
  db:
    image: postgres:15.3-alpine
    environment:
      POSTGRES_DB: ${DB_NAME}
      POSTGRES_USER: ${DB_USER}
      POSTGRES_PASSWORD: ${DB_PASS}
    volumes:
      - db:/var/lib/postgresql/data
    restart: always

volumes:
  db:
